<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Stock Consolidado</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
$almacen=$_POST["almacen"];
$marca=$_POST["marca"];
$modelo=$_POST["modelo"];
$familia=$_POST["familia"];
$subfamilia=$_POST["subfamilia"];
$grupo=$_POST["grupo"];
$subgrupo=$_POST["subgrupo"];
$itemini=$_POST["itemini"];
$itemfin=$_POST["itemfin"];
$orden=$_POST["orden"];
$mostrar=$_POST["mostrar"];
$usuario=$_POST["usuario"];

$codfab_ver=$_POST["codfab_ver"];
$familia_ver=$_POST["familia_ver"];
$subfamilia_ver=$_POST["subfamilia_ver"];
$grupo_ver=$_POST["grupo_ver"];
$subgrupo_ver=$_POST["subgrupo_ver"];
$marca_ver=$_POST["marca_ver"];
$modelo_ver=$_POST["modelo_ver"];
$umay_ver=$_POST["umay_ver"];
$umen_ver=$_POST["umen_ver"];
$coeficiente_ver=$_POST["coeficiente_ver"];
$cantidad_ver=$_POST["cantidad_ver"];
$costou_ver=$_POST["costou_ver"];
$costoc_ver=$_POST["costoc_ver"];
$fecha_ver=$_POST["fecha_ver"];

//envio para mostrar de familia en el mismo reporte
$familia_rev=$_GET["familia_rev"];
$almacen_rev=$_GET["almacen_rev"];
$marca_rev=$_GET["marca_rev"];
$modelo_rev=$_GET["modelo_rev"];
$itemini_rev=$_GET["itemini_rev"];
$itemfin_rev=$_GET["itemfin_rev"];
$orden_rev=$_GET["orden_rev"];
$mostrar_rev=$_GET["mostrar_rev"];
$usuario_rev=$_GET["usuario_rev"];

$codfab_ver_rev=$_GET["codfab_ver_rev"];
$familia_ver_rev=$_GET["familia_ver_rev"];
$subfamilia_ver_rev=$_GET["subfamilia_ver_rev"];
$grupo_ver_rev=$_GET["grupo_ver_rev"];
$subgrupo_ver_rev=$_GET["subgrupo_ver_rev"];
$marca_ver_rev=$_GET["marca_rev"];
$modelo_ver_rev=$_GET["modelo_rev"];
$umay_ver_rev=$_GET["umay_ver_rev"];
$umen_ver_rev=$_GET["umen_ver_rev"];
$coeficiente_ver_rev=$_GET["coeficiente_ver_rev"];
$cantidad_ver_rev=$_GET["cantidad_ver_rev"];
$costou_ver_rev=$_GET["costou_ver_rev"];
$costoc_ver_rev=$_GET["costoc_ver_rev"];
$fecha_ver_rev=$_GET["fecha_ver_rev"];

if($familia_rev != NULL) { $familia = $familia_rev; }
if($almacen_rev != NULL) { $almacen = $almacen_rev; }
if($marca_rev != NULL) { $marca = $marca_rev; }
if($modelo_rev != NULL) { $modelo = $modelo_rev; }
if($itemini_rev != NULL) { $itemini = $itemini_rev; }
if($itemfin_rev != NULL) { $itemfin = $fechafin_rev; }
if($orden_rev != NULL) { $orden = $orden_rev; }
if($mostrar_rev != NULL) { $mostrar = $mostrar_rev; }
if($usuario_rev != NULL) { $usuario = $usuario_rev; }

if($codfab_ver_rev != NULL) { $codfab_ver = $codfab_ver_rev; }
if($familia_ver_rev != NULL) { $familia_ver = $familia_ver_rev; }
if($subfamilia_ver_rev != NULL) { $subfamilia_ver = $subfamilia_ver_rev; }
if($grupo_ver_rev != NULL) { $grupo_ver = $grupo_ver_rev; }
if($subgrupo_ver_rev != NULL) { $subgrupo_ver = $subgrupo_ver_rev; }
if($marca_ver_rev != NULL) { $marca_ver = $marca_ver_rev; }
if($modelo_ver_rev != NULL) { $modelo_ver = $modelo_ver_rev; }
if($umay_ver_rev != NULL) { $umay_ver = $umay_ver_rev; }
if($umen_ver_rev != NULL) { $umen_ver = $umen_ver_rev; }
if($coeficiente_ver_rev != NULL) { $coeficiente_ver = $coeficiente_ver_rev; }
if($cantidad_ver_rev != NULL) { $cantidad_ver = $cantidad_ver_rev; }
if($costou_ver_rev != NULL) { $costou_ver = $costou_ver_rev; }
if($costoc_ver_rev != NULL) { $costoc_ver = $costoc_ver_rev; }
if($fecha_ver_rev != NULL) { $fecha_ver = $fecha_ver_rev; }

$nro_col = 2;
$control_col = 1; //sirve para controlar que solo se reduzca la columna una vez
//$n_decimales = 6;
?>
<body>
<?php
if($familia == '') { $familia = 0;}
if($subfamilia == '') { $subfamilia = 0;}
if($grupo == '') { $grupo = 0;}
if($subgrupo == '') { $subgrupo = 0;}

if($marca == '') { $marca = 0;}
if($modelo == '') { $modelo = 0;}

//si mostrar es 0 no tomar en cuenta las familias y si es 1 no tomar los items
if($mostrar == 0) {
	$familia = 0;
	$subfamilia = 0;
	$grupo = 0;
	$subgrupo = 0;
	$nom_mostrar = 'Rango de Items';
} 
if($mostrar == 1) {
	$itemini = 0;
	$itemfin = 0;
	$nom_mostrar = 'Familia';
}
if($mostrar == 2) {
	$itemini = 0;
	$itemfin = 0;
	$agrupado = 'c.codFamily';
	$nom_mostrar = 'Familia (Agrupado)';
}
if($mostrar == 3) {
	$itemini = 0;
	$itemfin = 0;
	$agrupado = 'c.codSubFamily';
	$nom_mostrar = 'Sub Familia (Agrupado)';
}
if($mostrar == 4) {
	$itemini = 0;
	$itemfin = 0;
	$agrupado = 'c.codGroup';
	$nom_mostrar = 'Grupo (Agrupado)';
}
if($mostrar == 5) {
	$itemini = 0;
	$itemfin = 0;
	$agrupado = 'c.codSubGroup';
	$nom_mostrar = 'Sub Grupo (Agrupado)';
}

//reporte Stock consolidado
		
if($rep == 1 && $tipo == 1) { // if 2
	
	if ($itemini == 0) { // if 2.0
		$nom_item_ini = 'Todos';
		$valor_item_ini = ' ';
		$valor_item_ini2 = ' '; //para filtrar cuando almacen -1
		$nom_item_fin = 'Todos';
		$valor_item_fin = ' ';
	} else {
		//nombre item
		$result2 = mysqli_query($link, "select pkyItem as cod_item, fldName as item, fldFactoryKey as cod_fabrica
								from
								invItem 
								where
								pkyItem = '$itemini' and
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result2)) {
			$nom_item_ini = $itemini.' - '.$row['cod_fabrica'].' - '.$row['item'];
		}
		mysqli_free_result($result2);
		$valor_item_ini = ' c.pkyItem >= ' .$itemini. ' and ';
		$valor_item_ini2 = ' b.codItem >= ' .$itemini. ' and '; //para filtrar cuando almacen -1
	} //fin if 2.0
	
	if ($itemfin == 0) { // if 2.1
		$nom_item_fin = 'Todos';
		$valor_item_fin = ' ';
		$valor_item_fin2 = ' '; //para filtrar cuando almacen -1
	} else {
		//nombre item
		$result2 = mysqli_query($link, "select pkyItem as cod_item, fldName as item, fldFactoryKey as cod_fabrica
								from
								invItem 
								where
								pkyItem = '$itemfin' and
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result2)) {
			$nom_item_fin = $itemfin.' - '.$row['cod_fabrica'].' - '.$row['item'];
		}
		mysqli_free_result($result2);
		$valor_item_fin = ' c.pkyItem <= ' .$itemfin. ' and ';
		$valor_item_fin2 = ' b.codItem <= ' .$itemfin. ' and '; //para filtrar cuando almacen -1
	} //fin if 2.1
	
	if ($familia == 0) { // if 2.2
		$nom_familia = 'Todos';
		$valor_familia = ' ';
		$valor_familia2 = ' '; //para filtrar cuando almacen -1
	} else {
		//nombre familia
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$familia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$nom_familia = $row['nombre'];
		}
		mysqli_free_result($result3);
		$valor_familia = ' c.codFamily = ' .$familia. ' and ';
		$valor_familia2 = ' c.codFamily = ' .$familia. ' and '; //para filtrar cuando almacen -1 igual
	} //fin if 2.2
	
	if ($subfamilia == 0) { // if 2.3
		$nom_subfamilia = 'Todos';
		$valor_subfamilia = ' ';
		$valor_subfamilia2 = ' '; //para filtrar cuando almacen -1 igual
	} else {
		//nombre sub familia
		$result4 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subfamilia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result4)) {
			$nom_subfamilia = $row['nombre'];
		}
		mysqli_free_result($result4);
		$valor_subfamilia = ' c.codSubFamily = ' .$subfamilia. ' and ';
		$valor_subfamilia2 = ' c.codSubFamily = ' .$subfamilia. ' and '; //para filtrar cuando almacen -1 igual
	} //fin if 2.3
	
	if ($grupo == 0) { // if 2.4
		$nom_grupo = 'Todos';
		$valor_grupo = ' ';
		$valor_grupo2 = ' '; //para filtrar cuando almacen -1 igual
	} else {
		//nombre grupo
		$result5 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$grupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result5)) {
			$nom_grupo = $row['nombre'];
		}
		mysqli_free_result($result5);
		$valor_grupo = ' c.codGroup = ' .$grupo. ' and ';
		$valor_grupo2 = ' c.codGroup = ' .$grupo. ' and '; //para filtrar cuando almacen -1 igual
	} //fin if 2.4
	
	if ($subgrupo == 0) { // if 2.5
		$nom_subgrupo = 'Todos';
		$valor_subgrupo = ' ';
		$valor_subgrupo2 = ' '; //para filtrar cuando almacen -1 igual
	} else {
		//nombre sub grupo
		$result6 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subgrupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result6)) {
			$nom_subgrupo = $row['nombre'];
		}
		mysqli_free_result($result6);
		$valor_subgrupo = ' c.codSubGroup = ' .$subgrupo. ' and ';
		$valor_subgrupo2 = ' c.codSubGroup = ' .$subgrupo. ' and '; //para filtrar cuando almacen -1 igual
	} //fin if 2.5
	
	if ($marca == 0) { // if marca
		$nom_marca = 'Todos';
		$valor_marca = ' ';
		$valor_marca2 = ' ';
	} else {
		//nombre marca
		$result5 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result5)) {
			$nom_marca = $row['marca'];
		}
		mysqli_free_result($result5);
		$valor_marca = ' c.codBrand = ' .$marca. ' and ';
		$valor_marca2 = ' c.codBrand = ' .$marca. ' and ';
	} //fin if marca
	
	if ($modelo == 0) { // if modelo
		$nom_modelo = 'Todos';
		$valor_modelo = ' ';
		$valor_modelo2 = ' ';
	} else {
		//nombre modelo
		$result6 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result6)) {
			$nom_modelo = $row['modelo'];
		}
		mysqli_free_result($result6);
		$valor_modelo = ' c.codBrandModel = ' .$modelo. ' and ';
		$valor_modelo2 = ' c.codBrandModel = ' .$modelo. ' and ';
	} //fin if modelo
	
	if ($orden == 0) { 
		$nom_orden = 'Item (Nombre)';
		$valor_orden = ' order by cod_alm, c.fldName ';
		$valor_orden2 = ' order by c.fldName '; //para ordenar cuando almacen -1
	}
	if ($orden == 1) {
		$nom_orden = 'Item (C&oacute;digo)';
		$valor_orden = ' order by cod_alm, c.pkyItem ';
		$valor_orden2 = ' order by b.codItem '; //para ordenar cuando almacen -1
	} 
	if ($orden == 2) {
		$nom_orden = 'Item (C&oacute;digo de F&aacute;brica)';
		$valor_orden = ' order by cod_alm, c.fldFactoryKey ';
		$valor_orden2 = ' order by c.fldFactoryKey '; //para ordenar cuando almacen -1
	} 
	if ($orden == 3) {
		$nom_orden = 'Familia (C&oacute;digo)';
		$valor_orden = ' order by cod_alm, c.codFamily, c.codSubFamily, c.codGroup, c.codSubGroup, c.pkyItem ';
		$valor_orden2 = ' order by c.codFamily, b.codItem '; //para ordenar cuando almacen -1
	} 
	
	
	
	if ($almacen >= 0) { // if 2.2

	if ($almacen == 0) {
		$nom_almacen = 'Todos';
		$valor_almacen = '';
	} else { 
		$result = mysqli_query($link, "select fldName from invWarehouse where pkyWarehouse='$almacen';");
		while ($row = mysqli_fetch_array($result)) {
			$nom_almacen = $row['fldName'];
		}
		mysqli_free_result($result);
		$valor_almacen = ' b.codWarehouse = '. $almacen. ' and ';
	}
	
	if($mostrar == 0 || $mostrar == 1) {//if mostrar1
	
	$result2 = mysqli_query($link, "select b.codWarehouse as cod_alm, a.fldName as nom_alm, b.codItem as cod_item, c.fldName as nom_item, c.codFamily as cod_familia, c.codSubFamily as cod_subfamilia, c.codGroup as cod_grupo, c.codSubGroup as cod_subgrupo, d.fldName as u_may, e.fldName as u_men, c.fldStorageUnitCoefficient as coef, b.fldQuantity as cant, b.fldCost as costo, b.fldDate as fecha, c.fldFactoryKey as cod_fabrica, c.codBrand as cod_marca, c.codBrandModel as cod_modelo
	from invWarehouse a, invItemMovementConsolidated b, invItem c, invStorageUnit d, invStorageUnit e 
	where 
	$valor_item_ini 
	$valor_item_fin 
	$valor_familia 
	$valor_subfamilia 
	$valor_grupo
	$valor_subgrupo 
	$valor_marca 
	$valor_modelo 
	$valor_almacen 
	b.fldQuantity > 0 and 
	b.codWarehouse = a.pkyWarehouse and
	b.codItem = c.pkyItem and 
	c.codMaximumStorageUnit = d.pkyStorageUnit and 
	c.codMinimumStorageUnit = e.pkyStorageUnit and 
	b.sysEnabled = 1 and b.sysAuthorized = 1
	$valor_orden;");
	
	$matriz_ver = array();
	$i = 1;
	while ($row = mysqli_fetch_array($result2)) {
		$matriz_ver [$i][1] = $row['cod_alm']; // cod almacen
		$matriz_ver [$i][2] = $row['nom_alm']; // nombre almacen
		$matriz_ver [$i][3] = $row['cod_item']; // cod item
		$matriz_ver [$i][4] = $row['cod_fabrica']; // cod fabrica
		$matriz_ver [$i][5] = $row['nom_item']; // nombre item
		$matriz_ver [$i][6] = $row['cod_familia']; // cod familia
		$matriz_ver [$i][7] = NULL; // nombre familia
		$matriz_ver [$i][8] = $row['cod_subfamilia']; // cod subfamilia
		$matriz_ver [$i][9] = NULL; // nombre subfamilia
		$matriz_ver [$i][10] = $row['cod_grupo']; // cod grupo
		$matriz_ver [$i][11] = NULL; // nombre grupo
		$matriz_ver [$i][12] = $row['cod_subgrupo']; // cod subgrupo
		$matriz_ver [$i][13] = NULL; // nombre subgrupo
		$matriz_ver [$i][14] = $row['cod_marca']; // cod marca
		$matriz_ver [$i][15] = NULL; // nombre marca
		$matriz_ver [$i][16] = $row['cod_modelo']; // cod modelo
		$matriz_ver [$i][17] = NULL; // nombre modelo
		$matriz_ver [$i][18] = $row['u_may']; // unidad mayor
		$matriz_ver [$i][19] = $row['u_men']; // unidad menor
		$matriz_ver [$i][20] = $row['coef']; // coeficiente
		$matriz_ver [$i][21] = $row['cant']; // cantidad
		$matriz_ver [$i][22] = $row['costo']; // costo
		$matriz_ver [$i][23] = $row['fecha']; // fecha
	
		$cod_familia2 = $row['cod_familia'];
		$cod_subfamilia2 = $row['cod_subfamilia'];
		$cod_grupo2 = $row['cod_grupo'];
		$cod_subgrupo2 = $row['cod_subgrupo'];
		$marca2 = $row['cod_marca'];
		$modelo2 = $row['cod_modelo'];
		
		//nombre familia
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_familia2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][7] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre sub familia
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_subfamilia2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][9] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre grupo
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_grupo2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][11] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre sub grupo
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_subgrupo2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][13] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre marca
		$result3 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][15] = $row['marca'];
		}
		mysqli_free_result($result3);
		
		//nombre modelo
		$result3 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][17] = $row['modelo'];
		}
		mysqli_free_result($result3);
		
		$i++;
	}
	mysqli_free_result($result2);
	
	$result20 = mysqli_query($link, "select b.codWarehouse as cod_alm, sum(b.fldQuantity) as sum_cant, sum(b.fldCost) as sum_costo, a.fldName as almacen, sum(1) as nro_reg
	from invWarehouse a, invItemMovementConsolidated b, invItem c 
	where  
	$valor_item_ini 
	$valor_item_fin 
	$valor_familia 
	$valor_subfamilia 
	$valor_grupo
	$valor_subgrupo 
	$valor_marca 
	$valor_modelo 
	$valor_almacen 
	b.fldQuantity > 0 and 
	b.codWarehouse = a.pkyWarehouse and 
	b.codItem = c.pkyItem and 
	b.sysEnabled = 1 and b.sysAuthorized = 1
	group by cod_alm 
	order by cod_alm;");
	$matriz_suma = array();
	$i = 1;
	$suma_total = 0;
	while ($row = mysqli_fetch_array($result20)) {
		$matriz_suma [$i][1] = $row['cod_alm']; // cod almacen
		$matriz_suma [$i][2] = $row['sum_cant']; // suma cantidad por almacen
		$matriz_suma [$i][3] = $row['sum_costo']; // suma costo por almacen
		$matriz_suma [$i][4] = $row['almacen']; // nombre almacen
		$matriz_suma [$i][5] = $row['nro_reg']; // numero de registros
		$i++;
	}
	mysqli_free_result($result20);
	$fin_reg = $i - 1;
	
	} else {//else if mostrar1
	
	$result2 = mysqli_query($link, "select b.codWarehouse as cod_alm, a.fldName as nom_alm, $agrupado as cod_nombre, f.fldName as nombre, d.fldName as u_may, e.fldName as u_men, c.fldStorageUnitCoefficient as coef, sum(b.fldQuantity) as cant, sum(b.fldCost) as costo, c.codBrand as cod_marca, c.codBrandModel as cod_modelo
	from invWarehouse a, invItemMovementConsolidated b, invItem c, invStorageUnit d, invStorageUnit e, invItemCategory f 
	where  
	$valor_item_ini 
	$valor_item_fin 
	$valor_familia 
	$valor_subfamilia 
	$valor_grupo
	$valor_subgrupo 
	$valor_marca 
	$valor_modelo 
	$valor_almacen 
	b.fldQuantity > 0 and 
	b.codWarehouse = a.pkyWarehouse and
	b.codItem = c.pkyItem and 
	c.codMaximumStorageUnit = d.pkyStorageUnit and 
	c.codMinimumStorageUnit = e.pkyStorageUnit and 
	$agrupado = f.pkyItemCategory and 
	b.sysEnabled = 1 and b.sysAuthorized = 1
	group by cod_alm, nombre 
	order by cod_alm, nombre;");
	
	$matriz_ver = array();
	$i = 1;
	while ($row = mysqli_fetch_array($result2)) {
		$matriz_ver [$i][1] = $row['cod_alm']; // cod almacen
		$matriz_ver [$i][2] = $row['nom_alm']; // nombre almacen
		//$matriz_ver [$i][3] = $row['cod_item']; // cod item
		//$matriz_ver [$i][4] = $row['cod_fabrica']; // cod fabrica
		//$matriz_ver [$i][5] = $row['nom_item']; // nombre item
		$matriz_ver [$i][3] = $row['cod_nombre']; // cod familia
		$matriz_ver [$i][5] = $row['nombre']; // nombre familia
		//$matriz_ver [$i][8] = $row['cod_subfamilia']; // cod subfamilia
		//$matriz_ver [$i][9] = NULL; // nombre subfamilia
		//$matriz_ver [$i][10] = $row['cod_grupo']; // cod grupo
		//$matriz_ver [$i][11] = NULL; // nombre grupo
		//$matriz_ver [$i][12] = $row['cod_subgrupo']; // cod subgrupo
		//$matriz_ver [$i][13] = NULL; // nombre subgrupo
		$matriz_ver [$i][14] = $row['cod_marca']; // cod marca
		$matriz_ver [$i][15] = NULL; // nombre marca
		$matriz_ver [$i][16] = $row['cod_modelo']; // cod modelo
		$matriz_ver [$i][17] = NULL; // nombre modelo
		$matriz_ver [$i][18] = $row['u_may']; // unidad mayor
		$matriz_ver [$i][19] = $row['u_men']; // unidad menor
		$matriz_ver [$i][20] = $row['coef']; // coeficiente
		$matriz_ver [$i][21] = $row['cant']; // cantidad
		$matriz_ver [$i][22] = $row['costo']; // costo
		//$matriz_ver [$i][23] = $row['fecha']; // fecha
		
		$marca2 = $matriz_ver [$i][14];
		$modelo2 = $matriz_ver [$i][16];
	
		//nombre marca
		$result3 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][15] = $row['marca'];
		}
		mysqli_free_result($result3);
		
		//nombre modelo
		$result3 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$matriz_ver [$i][17] = $row['modelo'];
		}
		mysqli_free_result($result3);
		
		$i++;
	}
	mysqli_free_result($result2);
	
	$result20 = mysqli_query($link, "select fin.cod_alm as cod_alm, sum(fin.sum_cant) as sum_cant, sum(fin.sum_costo) as sum_costo, fin.almacen as almacen, sum(1) as nro_reg, fin.cod_nombre as cod_nombre, fin.nombre as nombre
	from 
	(select b.codWarehouse as cod_alm, sum(b.fldQuantity) as sum_cant, sum(b.fldCost) as sum_costo, a.fldName as almacen, sum(1) as nro_reg, $agrupado as cod_nombre, f.fldName as nombre
	from invWarehouse a, invItemMovementConsolidated b, invItem c, invItemCategory f  
	where  
	$valor_item_ini 
	$valor_item_fin 
	$valor_familia 
	$valor_subfamilia 
	$valor_grupo
	$valor_subgrupo 
	$valor_marca 
	$valor_modelo 
	$valor_almacen 
	b.fldQuantity > 0 and 
	b.codWarehouse = a.pkyWarehouse and 
	b.codItem = c.pkyItem and 
	$agrupado = f.pkyItemCategory and 
	b.sysEnabled = 1 and b.sysAuthorized = 1
	group by cod_alm, nombre
	order by cod_alm) fin
	group by cod_alm;");
	$matriz_suma = array();
	$i = 1;
	$suma_total = 0;
	while ($row = mysqli_fetch_array($result20)) {
		$matriz_suma [$i][1] = $row['cod_alm']; // cod almacen
		$matriz_suma [$i][2] = $row['sum_cant']; // suma cantidad por almacen
		$matriz_suma [$i][3] = $row['sum_costo']; // suma costo por almacen
		$matriz_suma [$i][4] = $row['almacen']; // nombre almacen
		$matriz_suma [$i][5] = $row['nro_reg']; // numero de registros
		$i++;
	}
	mysqli_free_result($result20);
	$fin_reg = $i - 1;
		
	}//fin if mostrar1
	
	
		?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Stock Consolidado Almac&eacute;n</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="40%" colspan="2"><b>Item inicial: </b><?php echo $nom_item_ini; ?></TD>
        <TD width="30%"><b>Item final: </b><?php echo $nom_item_fin; ?></TD>
        <TD width="30%"><b>Mostrar Por: </b><?php echo $nom_mostrar; ?></TD>
        </TR>
        <TR>
        <TD><b>Almac&eacute;n: </b><?php echo $nom_almacen; ?></TD>
        <TD><b>Marca: </b><?php echo $nom_marca; ?></TD>
        <TD><b>Modelo: </b><?php echo $nom_modelo; ?></TD>
        <TD><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD><b>Familia: </b><?php echo $nom_familia; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
    <table border="1" align="center" cellpadding="2" width="100%">
    <thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD><!-- siempre visible -->
    <?php if($codfab_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { $nro_col++; ?>
    <TD align="center"><b>Cod. Fab.</b></TD>
    <?php } ?>
    <?php if($mostrar == 0 || $mostrar == 1) { ?>
    <TD align="center"><b>Item</b></TD><!-- visible si es item o familia -->
    <?php } ?>
    <?php if($mostrar == 2) { ?>
    <TD align="center"><b>Familia</b></TD><!-- visible familia -->
    <?php } ?>
    <?php if($mostrar == 3) { ?>
    <TD align="center"><b>Sub Familia</b></TD><!-- visible sub familia -->
    <?php } ?>
    <?php if($mostrar == 4) { ?>
    <TD align="center"><b>Grupo</b></TD><!-- visible grupo -->
    <?php } ?>
    <?php if($mostrar == 5) { ?>
    <TD align="center"><b>Sub Grupo</b></TD><!-- visible sub grupo -->
    <?php } ?>
    <?php if($familia_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { $nro_col++; ?>
    <TD align="center"><b>Familia</b></TD>
    <?php } ?>
    <?php if($subfamilia_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { $nro_col++; ?>
    <TD align="center"><b>Sub Familia</b></TD>
    <?php } ?>
    <?php if($grupo_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { $nro_col++; ?>
    <TD align="center"><b>Grupo</b></TD>
    <?php } ?>
    <?php if($subgrupo_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { $nro_col++; ?>
    <TD align="center"><b>Sub Grupo</b></TD>
    <?php } ?>
    <?php if($marca_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Marca</b></TD>
    <?php } ?>
    <?php if($modelo_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Modelo</b></TD>
    <?php } ?>
    <?php if($umay_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>U. May.</b></TD>
    <?php } ?>
    <?php if($umen_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>U. Men.</b></TD>
    <?php } ?>
    <?php if($coeficiente_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Coef.</b></TD>
    <?php } ?>
    <?php if($cantidad_ver == 1) { //$nro_col++; ?>
    <TD align="center"><b>Cant.</b></TD>
    <?php } ?>
    <?php if($costou_ver == 1) { //$nro_col++; ?>
    <TD align="center"><b>Costo Unitario</b></TD>
    <?php } ?>
    <?php if($costoc_ver == 1) { //$nro_col++; ?>
    <TD align="center"><b>Costo x Cant.</b></TD>
    <?php } ?>
    <?php if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) { //$nro_col++; ?>
    <TD align="center" width="65"><b>Fecha</b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">
	<?php
		
$color = 2;
$i = 1;
$j = 1;
$suma_costo = 0;
$suma_cantidad = 0;
$suma_costo_u = 0;
while ($j <= $fin_reg) { //while j
  $k = 1;
  $suma_costo_par = 0;
  $suma_cantidad_par = 0;
  $suma_costo_u_par = 0;
  while($k <= $matriz_suma [$j][5]) { //while k
  	$codigo = $matriz_ver [$i][3];
	$almacen2 = $matriz_suma [$j][1];
	if($color % 2 == 0) { //if color
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_ver [$i][3]);//cod item
	} else {
	printf("<tr><td align='center'>%s</td>", $matriz_ver [$i][3]);//cod item
	} //cierra if color
	
	if($codfab_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td align='center'>%s</td>", $matriz_ver [$i][4]);//cod fabrica
	}
	
	printf("<td>%s</td>", $matriz_ver [$i][5]);//nombre item
			
	if($familia_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td>%s</td>", $matriz_ver [$i][7]);//familia
	}
	if($subfamilia_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td>%s</td>", $matriz_ver [$i][9]);//sub familia
	}
	if($grupo_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td>%s</td>", $matriz_ver [$i][11]);//grupo
	}
	if($subgrupo_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td>%s</td>", $matriz_ver [$i][13]);//sub grupo
	}
	if($marca_ver == 1) {
	printf("<td>%s</td>", $matriz_ver [$i][15]);//marca
	}
	if($modelo_ver == 1) {
	printf("<td>%s</td>", $matriz_ver [$i][17]);//modelo
	}
	if($umay_ver == 1) {
	printf("<td>%s</td>", $matriz_ver [$i][18]);//unidad mayor item
	}
	if($umen_ver == 1) {
	printf("<td>%s</td>", $matriz_ver [$i][19]);//unidad menor item
	}
	if($coeficiente_ver == 1) {
	printf("<td align='right'>%s</td>", $matriz_ver [$i][20]);//coeficiente de transformacion item
	}
	if($cantidad_ver == 1) {
		if($mostrar == 2) {
			printf("<td align='right'><a href='report.php?rep=1&tipo=1&familia_rev=$codigo&almacen_rev=$almacen2&marca_rev=$marca&modelo_rev=$modelo&itemini_rev=$itemini&itemfin_rev=$itemfin&orden_rev=$orden&mostrar_rev=1&codfab_ver_rev=$codfab_ver&familia_ver_rev=$familia_ver&subfamilia_ver_rev=$subfamilia_ver&grupo_ver_rev=$grupo_ver&subgrupo_ver_rev=$subgrupo_ver&marca_ver_rev=$marca_ver&modelo_ver_rev=$modelo_ver&umay_ver_rev=$umay_ver&umen_ver_rev=$umen_ver&coeficiente_ver_rev=$coeficiente_ver&cantidad_ver_rev=$cantidad_ver&costou_ver_rev=$costou_ver&costoc_ver_rev=$costoc_ver&fecha_ver_rev=$fecha_ver&usuario_rev=$usuario' title='Reporte Consolidado por Items'>%s</a></td>", number_format($matriz_ver [$i][21], $n_cantidad));//cantidad	
		} else {
			printf("<td align='right'>%s</td>", number_format($matriz_ver [$i][21], $n_cantidad));//cantidad
		}
	}
		if($matriz_ver [$i][21] == 0) {
			$costo_u = 0;
		} else {
			$costo_u = $matriz_ver [$i][22] / $matriz_ver [$i][21];
		}
	
	if($costou_ver == 1) {
	printf("<td align='right'>%s</td>", number_format($costo_u, $n_decimales));//costo unitario
	}
	if($costoc_ver == 1) {
	printf("<td align='right'>%s</td>", number_format($matriz_ver [$i][22], $n_decimales));//costo x cantidad
	}
	if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
	printf("<td align='right'>%s</td>", $matriz_ver [$i][23]);//fecha
	}
	echo '</tr>';
	$suma_costo = $suma_costo + $matriz_ver [$i][22];
	$suma_costo_par = $suma_costo_par + $matriz_ver [$i][22];
	$suma_cantidad = $suma_cantidad + $matriz_ver [$i][21];
	$suma_cantidad_par = $suma_cantidad_par + $matriz_ver [$i][21];
	$suma_costo_u = $suma_costo_u + $costo_u;
	$suma_costo_u_par = $suma_costo_u_par + $costo_u;
	$color++;
	$k++;
	$i++;
  } //fin while k
  	
	printf("<tr BGCOLOR='#ffcccc'><td colspan='$nro_col'><b>Almacen %s</b></td>", $matriz_suma[$j][4]);
	if($cantidad_ver == 1) {
		printf("<td align='right'><b>%s</b></td>", number_format($suma_cantidad_par, $n_decimales));
	}
	if($costou_ver == 1) {
		printf("<td align='right'><b>%s</b></td>", number_format($suma_costo_u_par/$matriz_suma [$j][5], $n_decimales));
	}
	if($costoc_ver == 1) {
		printf("<td align='right'><b>%s</b></td>", number_format($suma_costo_par, $n_decimales));
	}
	if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
		printf("<td>&nbsp;</td>");
	}
  
  /*
  	if($costoc_ver == 1) {//if costoc 1
			if($control_col == 1 && $fecha_ver != 1) {
				$nro_col--;//reducir en uno las columnas
				$control_col = 0;
			} 
			if($control_col == 1 && $fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
				$nro_col = $nro_col - 2;//reducir en dos las columnas
				$control_col = 0;
			}
			if($control_col == 1 && $fecha_ver == 1 && $mostrar >= 2) {
				$nro_col--;//reducir en uno las columnas
				$control_col = 0;
			}
			
			
	printf("<tr BGCOLOR='#ffcccc'><td colspan='$nro_col'><b>Total Costo Almacen %s</b></td>", $matriz_suma[$j][4]);
	printf("<td align='right'><b>%s</b></td>", number_format($suma_costo_par, $n_decimales));
		if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
			printf("<td>&nbsp;</td>");
		}
	} else {//else costoc 1
		if($control_col == 1 && $fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
			$nro_col--;//reducir en uno las columnas
			$control_col = 0;
		}
	printf("<tr BGCOLOR='#ffcccc'><td colspan='$nro_col'><b>Almacen %s</b></td>", $matriz_suma[$j][4]);//cambio	
		if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
			printf("<td>&nbsp;</td>");
		}
	}//fin if costoc 1
	*/
	echo '</tr>';
  $j++;		
}//fin while j
/*
	if($costoc_ver == 1 && $almacen == 0) {//if costo2
	printf("<tr BGCOLOR='#ffcccc'><td colspan='$nro_col'><b>Total Costo Almacenes</b></td>");
	printf("<td align='right'><b>%s</b></td>", number_format($suma_costo, $n_decimales));
		if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
		  printf("<td>&nbsp;</td>");
		}
	}//fin if costo2
*/	
	if($almacen == 0 && ($cantidad_ver == 1 || $costoc_ver == 1 || $costou_ver == 1)) {
		printf("<tr BGCOLOR='#ffcccc'><td colspan='$nro_col'><b>Total Almacenes</b></td>");
		if($cantidad_ver == 1) {
			printf("<td align='right'><b>%s</b></td>", number_format($suma_cantidad, $n_decimales));
		}
		if($costou_ver == 1) {
			printf("<td>&nbsp;</td>");
		}
		if($costoc_ver == 1) {
			printf("<td align='right'><b>%s</b></td>", number_format($suma_costo, $n_decimales));
		}
		if($fecha_ver == 1 && ($mostrar == 0 || $mostrar == 1)) {
			printf("<td>&nbsp;</td>");
		}	
	}
	
	echo '</tr>';
		
?>
 </tbody>
 </table>
<?php

		}//fin if 2.2
		
		

	
	
	if ($almacen == -1) { //if 2.4
		
	$nom_almacen = 'Todos Comparativo';
	
	//lista items sin repetir pero del invItemMovementConsolidated
	$result = mysqli_query($link, "select distinct b.codItem as coditem, c.fldName as nomitem, c.codFamily as cod_familia, c.fldFactoryKey as cod_fabrica, c.codSubFamily as cod_subfamilia, c.codGroup as cod_grupo, c.codSubGroup as cod_subgrupo, d.fldName as u_may, e.fldName as u_men, c.fldStorageUnitCoefficient as coef, c.codBrand as marca, c.codBrandModel as modelo 
	from invItemMovementConsolidated b, invItem c, invStorageUnit d, invStorageUnit e
	where 
	$valor_item_ini2 
	$valor_item_fin2 
	$valor_familia2 
	$valor_subfamilia2 
	$valor_grupo2
	$valor_subgrupo2 
	$valor_marca2 
	$valor_modelo2 
	b.fldQuantity > 0 and 
	b.fldCost > 0 and 
	b.codItem = c.pkyItem and 
	c.codMaximumStorageUnit = d.pkyStorageUnit and 
	c.codMinimumStorageUnit = e.pkyStorageUnit and 
	b.sysEnabled = 1 and b.sysAuthorized = 1 
	$valor_orden2;");
	
	$mat_comp = array();
	$i = 1;
	while ($row = mysqli_fetch_array($result)) {
		$mat_comp[$i][1] = $row['coditem'];
		$mat_comp[$i][2] = $row['cod_fabrica'];
		$mat_comp[$i][3] = $row['nomitem'];
		$mat_comp[$i][4] = ' '; //familia
		$mat_comp[$i][5] = ' '; //subfamilia
		$mat_comp[$i][6] = ' '; //grupo
		$mat_comp[$i][7] = ' '; //subgrupo
		$mat_comp[$i][8] = $row['u_may']; //u may
		$mat_comp[$i][9] = $row['u_men']; //u men
		$mat_comp[$i][10] = $row['coef']; //coef
		$mat_comp[$i][11] = ' '; //marca
		$mat_comp[$i][12] = ' '; //modelo
		$cod_familia2 = $row['cod_familia'];
		$cod_subfamilia2 = $row['cod_subfamilia'];
		$cod_grupo2 = $row['cod_grupo'];
		$cod_subgrupo2 = $row['cod_subgrupo'];
		$marca2 = $row['marca'];
		$modelo2 = $row['modelo'];
		//nombre familia
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_familia2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][4] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre sub familia
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_subfamilia2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][5] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre grupo
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_grupo2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][6] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre sub grupo
		$result3 = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$cod_subgrupo2' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][7] = $row['nombre'];
		}
		mysqli_free_result($result3);
		
		//nombre marca
		$result3 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][11] = $row['marca'];
		}
		mysqli_free_result($result3);
		
		//nombre modelo
		$result3 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo2' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$mat_comp[$i][12] = $row['modelo'];
		}
		mysqli_free_result($result3);
		
		$i++;
	}
	$fin_comp = $i - 1;
	mysqli_free_result($result);

	//listado de almacenes
	$resultalm = mysqli_query($link, "select pkyWarehouse as cod_alm, fldName as almacen 
	from invWarehouse 
	where 
	sysEnabled = 1 and sysAuthorized = 1 
	order by fldName;");
	$mat_alm = array();
	$i = 1;
	while ($row = mysqli_fetch_array($resultalm)) {
		$mat_alm[$i][1] = $row['cod_alm'];
		$mat_alm[$i][2] = $row['almacen'];
		$i++;
	}
	$fin_alm = $i - 1;
	mysqli_free_result($resultalm);

	
	//lista igual que arriba pero repitiendo items e incluye el almacen	
	$result30 = mysqli_query($link, "select b.codWarehouse as codalm, a.fldName as nomalm, b.codItem as coditem, c.fldName as nomitem, c.codFamily as cod_familia, c.codSubFamily as cod_subfamilia, c.codGroup as cod_grupo, c.codSubGroup as cod_subgrupo, d.fldName as u_may, e.fldName as u_men, c.fldStorageUnitCoefficient as coef, b.fldQuantity as cant, b.fldCost as costo, b.fldDate as fecha, c.fldFactoryKey as cod_fabrica, c.codBrand as marca, c.codBrandModel as modelo 
	from invWarehouse a, invItemMovementConsolidated b, invItem c, invStorageUnit d, invStorageUnit e 
	where 
	$valor_item_ini2 
	$valor_item_fin2 
	$valor_familia2 
	$valor_subfamilia2 
	$valor_grupo2
	$valor_subgrupo2 
	$valor_marca2 
	$valor_modelo2 
	b.fldQuantity > 0 and 
	b.fldCost > 0 and 
	b.codWarehouse = a.pkyWarehouse and
	b.codItem = c.pkyItem and 
	c.codMaximumStorageUnit = d.pkyStorageUnit and 
	c.codMinimumStorageUnit = e.pkyStorageUnit and 
	b.sysEnabled = 1 and b.sysAuthorized = 1
	$valor_orden2;");
	
	$mat_aux = array();
	$i = 1;
	while ($row = mysqli_fetch_array($result30)) {
		$mat_aux[$i][1] = $row['coditem'];
		$mat_aux[$i][2] = $row['codalm'];
		$mat_aux[$i][3] = $row['cant'];
		if($row['cant'] == 0) {
			$mat_aux[$i][4] = 0;
		} else {
			$mat_aux[$i][4] = $row['costo'] / $row['cant'];
		}
		$mat_aux[$i][5] = $row['costo'];
		$mat_aux[$i][6] = $row['fecha']; //no uso
		$i++;
	}
	$fin_aux = $i - 1;
	mysqli_free_result($result30);
		
	$i = 1;
	while ($i <= $fin_comp) { //while $i
		$j = 1;
		while ($j <= $fin_alm) { //while $j
			$k = 1;
			$cont = 1;
			while ($k <= $fin_aux && $cont == 1) { //while $k
				if($mat_comp[$i][1] == $mat_aux[$k][1] && $mat_aux[$k][2] == $mat_alm[$j][1]){//if 1
					$mat_comp[$i][13+(($j-1)*3)] = $mat_aux[$k][3]; //cantidad
					$mat_comp[$i][14+(($j-1)*3)] = $mat_aux[$k][4]; //costo u
					$mat_comp[$i][15+(($j-1)*3)] = $mat_aux[$k][5]; //costo
					$cont = 0;
				}//fin if 1
				$k++;
			} //fin while $k
			$j++;
		} //fin while $j
		$i++;
	} //fin while $i
	

	//cuento el numero de columnas visibles para la cabecera
	$nro_col_cab = 2;
	if($codfab_ver == 1) { $nro_col_cab++; }
	if($familia_ver == 1) { $nro_col_cab++; }
	if($subfamilia_ver == 1) { $nro_col_cab++; }
	if($grupo_ver == 1) { $nro_col_cab++; }
	if($subgrupo_ver == 1) { $nro_col_cab++; }
	if($marca_ver == 1) { $nro_col_cab++; }
	if($modelo_ver == 1) { $nro_col_cab++; }
	if($umay_ver == 1) { $nro_col_cab++; }
	if($umen_ver == 1) { $nro_col_cab++; }
	if($coeficiente_ver == 1) { $nro_col_cab++; }
	
	//cuento las columnas visibles bajo el almacen
	$nro_col_sub_cab = 0;
	if($cantidad_ver == 1) { $nro_col_sub_cab++; }
	if($costou_ver == 1) { $nro_col_sub_cab++; }
	if($costoc_ver == 1) { $nro_col_sub_cab++; }
	
	?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Stock Consolidado Almac&eacute;n</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="50%" colspan="2"><b>Item inicial: </b><?php echo $nom_item_ini; ?></TD>
        <TD width="50%" colspan="2"><b>Item final: </b><?php echo $nom_item_fin; ?></TD>
        </TR>
        <TR>
        <TD><b>Almac&eacute;n: </b><?php echo $nom_almacen; ?></TD>
        <TD><b>Marca: </b><?php echo $nom_marca; ?></TD>
        <TD><b>Modelo: </b><?php echo $nom_modelo; ?></TD>
        <TD><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD><b>Familia: </b><?php echo $nom_familia; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
    <table border="1" align="center" cellpadding="2" width="100%">
    <thead>
    <TR> 
    <TD colspan="<?php echo $nro_col_cab; ?>">&nbsp;</TD>
    <?php 
	$i = 1;
	while ($i <= $fin_alm) { 
	?>
    <TD align="center" colspan="<?php echo $nro_col_sub_cab; ?>"><b><?php echo $mat_alm[$i][2]; ?></b></TD>
    <?php 
	$i++;
	} 
	?>
    </TR>
    <TR>
    <TD align="center"><b>Cod.</b></TD><!-- siempre visible -->
    <?php if($codfab_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Cod. Fab.</b></TD>
    <?php } ?>
    <TD align="center"><b>Item</b></TD><!-- siempre visible -->
    <?php if($familia_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Familia</b></TD>
    <?php } ?>
    <?php if($subfamilia_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Sub Familia</b></TD>
    <?php } ?>
    <?php if($grupo_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Grupo</b></TD>
    <?php } ?>
    <?php if($subgrupo_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Sub Grupo</b></TD>
    <?php } ?>
    <?php if($marca_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Marca</b></TD>
    <?php } ?>
    <?php if($modelo_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Modelo</b></TD>
    <?php } ?>
    <?php if($umay_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>U. May.</b></TD>
    <?php } ?>
    <?php if($umen_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>U. Men.</b></TD>
    <?php } ?>
    <?php if($coeficiente_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Coef.</b></TD>
    <?php } ?>
    <?php 
	$i = 1;
	while ($i <= $fin_alm) { 
	?>
    <?php if($cantidad_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Cant.</b></TD>
    <?php } ?>
    <?php if($costou_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Costo Unitario</b></TD>
    <?php } ?>
    <?php if($costoc_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Costo x Cant.</b></TD>
    <?php } ?>
    <?php 
	$i++;
	} 
	?>
    <?php if($cantidad_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Cant. Total</b></TD>
    <?php } ?>
    <?php if($costou_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Costo Unitario Total</b></TD>
    <?php } ?>
    <?php if($costoc_ver == 1) { $nro_col++; ?>
    <TD align="center"><b>Costo x Cant. Total</b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">
    
	<?php
	
	
$color = 2;
$i = 1;
	while ($i <= $fin_comp) {// while 30 
		if($color % 2 == 0) {//if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $mat_comp[$i][1]);//cod item
		} else {
			printf("<tr><td align='center'>%s</td>", $mat_comp[$i][1]);//codigo item
		} //cierra if color
		if($codfab_ver == 1) {
			printf("<td align='center'>%s</td>", $mat_comp[$i][2]);//cod fabrica
		}
		printf("<td>%s</td>", $mat_comp[$i][3]);//nombre item
		
		if($familia_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][4]);//familia
		}
		if($subfamilia_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][5]);//sub familia
		}
		if($grupo_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][6]);//grupo
		}
		if($subgrupo_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][7]);//sub grupo
		}
		if($marca_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][11]);//marca
		}
		if($modelo_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][12]);//modelo
		}
		if($umay_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][8]);//unidad mayor item
		}
		if($umen_ver == 1) {
		printf("<td>%s</td>", $mat_comp[$i][9]);//unidad menor item
		}
		if($coeficiente_ver == 1) {
		printf("<td align='right'>%s</td>", $mat_comp[$i][10]);//coeficiente de transformacion item
		}
		
		$sum_cant = 0;
		$sum_costouni = 0;
		$sum_costo = 0;
		$j = 1;
		while ($j <= $fin_alm) { //while j
		if($cantidad_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($mat_comp[$i][13+(($j-1)*3)], $n_cantidad));//cantidad
		}
		if($costou_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($mat_comp[$i][14+(($j-1)*3)], $n_decimales));//costo unitario
		}
		if($costoc_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($mat_comp[$i][15+(($j-1)*3)], $n_decimales));//costo
		}
		$sum_cant = $sum_cant + $mat_comp[$i][13+(($j-1)*3)];
		//$sum_costouni = $sum_costouni + $mat_comp[$i][14+(($j-1)*3)];
		$sum_costo = $sum_costo + $mat_comp[$i][15+(($j-1)*3)];
		
		if($sum_cant == 0) {
			$sum_costouni = 0;
		} else {
			$sum_costouni = $sum_costo / $sum_cant;	
		}
		
		$j++;
		} //fin while j
		//imprime los totales por fila
		if($cantidad_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($sum_cant, $n_cantidad));//cantidad total
		}
		if($costou_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($sum_costouni, $n_decimales));//costo unitario total
		}
		if($costoc_ver == 1) {
		printf("<td align='right'>%s</td>", number_format($sum_costo, $n_decimales));//costo total
		}
		$color++;
		$i++;
		echo '</tr>';
	}//cierra while 30

	?>
    </tbody>
	</table>
    <?php
	
	}//fin if 2.4

}//fin if 2
?>

</body>
</html>
